@import url("https://fonts.googleapis.com/css?family=Caesar+Dressing");
ng-sidebar-container {
  height: 100vh;
}

::ng-deep .ng-sidebar {
  display: none;
  background-color: #1d2028;
  width: 20rem;
  padding: 2em 3em;
  z-index: 9 !important;
}

::ng-deep .ng-sidebar--opened.ng-sidebar--over {
  box-shadow: 0 0 2.5em rgba(85, 85, 85, 0.5);
}

.preview {
  height: 500vh;
  .video_area {
    position: sticky;
    top: 0;
    display: flex;

    // align-items: center;
    justify-content: center;
    z-index: 100000;
    background: #000;
    video {
      width: 50%;
      height: 100vh;
    }
  }
}

* {
  box-sizing: border-box;
}

#background {
  position: relative;
  overflow: hidden;
  height: 100vh;
  background: black;
  transition: transform 0.1s;
}

#backgroundVideo {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  cursor: auto;
  width: 50%;
  aspect-ratio: 16/9;
  object-fit: cover;
  background-color: rgba(0, 0, 0, 0);
  object-position: 50% 50%;
  border-radius: 20px;
  z-index: 0;
  padding: 0.01;
}

#content {
  height: 100vh;
  width: 100%;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  left: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  h1 {
    opacity: 0;
    font-family: "Caesar Dressing", cursive;
    letter-spacing: 1px;
    color: rgb(92, 250, 184);
    text-shadow: rgba(144, 39, 101, 0.93) 7px 2px 2px;
    transition: all 0.3s;
  }
}

.sidebar-content {
  margin-top: 4rem;
  display: grid;
  .sidebar-text {
    margin-bottom: 0.75rem;
    text-decoration: none;
    text-transform: capitalize;
    cursor: pointer;
    font-family: Kanit;
    font-style: normal;
    font-weight: normal;
    font-size: 1.5rem;
    line-height: 1.675rem;
    color: #d8e2ea;
  }

  .sidebar-text:focus-visible {
    outline: none;
  }
}

@media only screen and (min-width: 1200px) {
  ::ng-deep ng-sidebar-container {
    overflow: inherit !important; // hidden by default
  }

  ::ng-deep.ng-sidebar__content {
    overflow: inherit !important; // auto by default
  }
}

@media only screen and (max-width: 1200px) {
  ::ng-deep .ng-sidebar {
    display: block;
  }
}

.container__loading {
  width: 100%;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #fff;
  position: fixed;
  z-index: 10000000000;
  top: 0;
  left: 0;
}

@keyframes ldio-qpgi1jojzu {
  0% {
    opacity: 1;
    backface-visibility: hidden;
    transform: translateZ(0) scale(1.5, 1.5);
  }
  100% {
    opacity: 0;
    backface-visibility: hidden;
    transform: translateZ(0) scale(1, 1);
  }
}

@keyframes typing-text {
  from {
    width: 0%;
  }
  70% {
    width: 338px;
  }
}

@keyframes blink {
  from {
    border-color: transparent;
  }
  to {
    border-color: transparent;
  }
}

.ldio-qpgi1jojzu div > div {
  position: absolute;
  width: 12px;
  height: 12px;
  border-radius: 50%;
  background: #2bd9ff;
  animation: ldio-qpgi1jojzu 1s linear infinite;
}
.ldio-qpgi1jojzu div:nth-child(1) > div {
  left: 74px;
  top: 44px;
  animation-delay: -0.875s;
}
.ldio-qpgi1jojzu > div:nth-child(1) {
  transform: rotate(0deg);
  transform-origin: 80px 50px;
}
.ldio-qpgi1jojzu div:nth-child(2) > div {
  left: 65px;
  top: 65px;
  animation-delay: -0.75s;
}
.ldio-qpgi1jojzu > div:nth-child(2) {
  transform: rotate(45deg);
  transform-origin: 71px 71px;
}
.ldio-qpgi1jojzu div:nth-child(3) > div {
  left: 44px;
  top: 74px;
  animation-delay: -0.625s;
}
.ldio-qpgi1jojzu > div:nth-child(3) {
  transform: rotate(90deg);
  transform-origin: 50px 80px;
}
.ldio-qpgi1jojzu div:nth-child(4) > div {
  left: 23px;
  top: 65px;
  animation-delay: -0.5s;
}
.ldio-qpgi1jojzu > div:nth-child(4) {
  transform: rotate(135deg);
  transform-origin: 29px 71px;
}
.ldio-qpgi1jojzu div:nth-child(5) > div {
  left: 14px;
  top: 44px;
  animation-delay: -0.375s;
}
.ldio-qpgi1jojzu > div:nth-child(5) {
  transform: rotate(180deg);
  transform-origin: 20px 50px;
}
.ldio-qpgi1jojzu div:nth-child(6) > div {
  left: 23px;
  top: 23px;
  animation-delay: -0.25s;
}
.ldio-qpgi1jojzu > div:nth-child(6) {
  transform: rotate(225deg);
  transform-origin: 29px 29px;
}
.ldio-qpgi1jojzu div:nth-child(7) > div {
  left: 44px;
  top: 14px;
  animation-delay: -0.125s;
}
.ldio-qpgi1jojzu > div:nth-child(7) {
  transform: rotate(270deg);
  transform-origin: 50px 20px;
}
.ldio-qpgi1jojzu div:nth-child(8) > div {
  left: 65px;
  top: 23px;
  animation-delay: 0s;
}
.ldio-qpgi1jojzu > div:nth-child(8) {
  transform: rotate(315deg);
  transform-origin: 71px 29px;
}
.loadingio-spinner-spin-ibku8ak7k2o {
  width: 80px;
  height: 80px;
  display: inline-block;
  overflow: hidden;
  background: none;
}
.ldio-qpgi1jojzu {
  width: 100%;
  height: 100%;
  position: relative;
  transform: translateZ(0) scale(0.8);
  backface-visibility: hidden;
  transform-origin: 0 0; /* see note above */
}
.ldio-qpgi1jojzu div {
  box-sizing: content-box;
}
/* generated by https://loading.io/ */
